#!/usr/bin/haserl
Content-Type: text/html
<%
#   Copyright (c) 2011 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Michael Tross <mt@aizo.ag>
#
#   This file is part of digitalSTROM Server.
#
#   logview.hs is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   funclib.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.
#
#   Display logfile contents
#
#   Parameter:
#   dsid=35.... - dsid logfile to load from /var/log/dsa/dsid_${dsid].log
#   logfile="path to file" - load arbitrary logfile from /var/log/...
#   method=tail - auto-reload any file changes
#   refresh=n   - automatically reload page every n seconds
%>
<html>
   <head>
      <% [ ${GET_refresh} -gt 0 ] &&  echo "<meta http-equiv='refresh' content='${GET_refresh}'>" %>
      <meta content="text/html; charset=UTF-8" http-equiv="content-type">
      <link rel="stylesheet" type="text/css" href="/js/dss11/css/ds_gui.css" />
   </head>
   <body>

        <% . ./langdefs.sh
        if [ "${GET_logfile}" != "" ]; then
           filename=/var/log/${GET_logfile##*\./}
        elif [ "${GET_dsid}" != "" ]; then
           filename=/var/log/dsa/dsid_${GET_dsid}.log
        else
           filename=/var/log/dss/dss.log
        fi
        %>

        <h2><% eval_gettext "Logfile: ${filename}" %></h2>

        <table><tr><td>
        <input name="btnDown" title="Go to bottom of page"
         onMouseOver="window.status='go to bottom of page'; return true"
         onMouseOut="window.status=''; return true"
         onclick="location.href = 'javascript:window.scrollTo(0,9e9)'" type="button" value="Bottom of Page">
        </td><td>
        <input name="btnTail" title="Reload"
         onMouseOver="window.status='reload page'; return true"
         onMouseOut="window.status=''; return true"
         onclick="window.location.reload()" type="button" value="Reload">
        </td></tr></table>

        <pre>
            <div class="x-margined-green-text"><%
                   if [ -f $filename ]; then
                      if [ "${GET_method}" == "tail" ]; then
                          tail -f $filename
                      else
                          cat $filename
                      fi
                   else
                %>
                   <div id="error">File not found: <% echo $filename %></div>
                <%
                   fi
                %></div>
        </pre>

        <table><tr><td>
        <input name="btnUp" title="Go to top of page"                                                                
         onMouseOver="window.status='go to top of page'; return true"
         onMouseOut="window.status=''; return true"                  
         onclick="location.href = 'javascript:window.scrollTo(0,0)'" type="button" value="Top of Page"> 
        </td><td>
        <input name="btnTail" title="Reload"
         onMouseOver="window.status='reload page'; return true"
         onMouseOut="window.status=''; return true"
         onclick="window.location.reload()" type="button" value="Reload">
        </td></tr></table>

        <% if [ "${GET_debug}" == "1" ]; then echo "<p><pre>$(env)</pre></p>"; fi %>
    </body>
</html>
